package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖衔枚举
 */
@AllArgsConstructor
@Getter
public enum EAwards {

    /**
     * 0=无
     */
    MEMBER(1, 0, "无", 0),
    /**
     * V1
     */
    HEADER(2, 5, "一级", 0),
    /**
     * V2
     */
    MANAGER(3, 10, "二级", 0),
    /**
     * V3
     */
    HIGH_MANAGER(4, 15, "三级", 0),
    /**
     * V4
     */
    SENIOR_MANAGER(5, 20, "四级", 0),
    /**
     * V5
     */
    CHIEF(6, 25, "五级", 0),
    /**
     * V6
     */
    HIGH_CHIEF(7, 30, "六级", 0),
    /**
     * V7
     */
    SENIOR_CHIEF(8, 35, "七级", 0),
    /**
     * 董事
     */
    CHAIRMAN(9, 40, "八级", 0),
    /**
     * 大使
     */
    HONOR_CHAIRMAN(10, 45, "九级", 0),
    /**
     * 皇冠大使
     */
    GLOBAL_CHAIRMAN(11, 50, "十级", 0),

    /**
     * 11
     */
    LEVEL_ELEVEN(12, 55, "十一级", 1),
    /**
     * 12
     */
    LEVEL_TWELVE(13, 60, "十二级", 1),
    /**
     * 13
     */
    LEVEL_THIRTEEN(14, 65, "十三级", 1),
    /**
     * 14
     */
    LEVEL_FOURTEEN(15, 70, "十四级", 1),
    /**
     * 15
     */
    LEVEL_FIFTEEN(16, 75, "十五级", 1),

    ;

    /**
     * 序号
     */
    private final int index;
    /**
     * 实际值
     */
    private final int value;

    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

}
